<?

use Battles\User;

include('config.php');

function addch($text, $who, $room) {
  $fp = fopen("tmp/chat.txt", "a");
  flock($fp, LOCK_EX);
  fputs($fp, ":[".time()."]:[{[]}$who{[]}]:[".($text)."]:[".$room."]\r\n");
  fflush($fp);
  flock($fp, LOCK_UN);
  fclose($fp);
}

function sys_msgs($text) {
  $dir = dirname(__FILE__);
  $fp = fopen("tmp/chat.txt", "a");
  flock($fp, LOCK_EX);
  fputs($fp, ":[".time()."]:[!sys2all!!]:[".($text)."]:[1]\r\n");
  fflush($fp);
  flock($fp, LOCK_UN);
  fclose($fp);
}

if($_GET['id'] == 1) {
  //sys_msgs('<font color=red><b>Силы Хаоса</b></font> вызывают бойцов клуба <b>7 уровней</b> на поединок! Начало боя через <b>3</b> минуты, в разделе <b>хаотических</b> поединков.</font>');
} elseif($_GET['id'] == 2) {
  sys_msgs('<font color=red>Внимание!</font> Битва на <b>Арене Ангелов</b> началась! Спешите принять участие.');
} elseif($_GET['id'] == 3) {
  sys_msgs('<font color=red>Внимание!</font> До начала битвы на <b>Арене Ангелов</b> остался 1 час.');
} elseif($_GET['id'] == 4) {
  //sys_msgs('<font color=red>Внимание!</font> Приглашаем всех желающих на турнир в <b>Башню Смерти! Турнир начинается через <b>15</b> минут.');
} elseif($_GET['id'] == 5) {
  //sys_msgs('<font color=red>Внимание!</font> Турнир <b>Башни Смерти</b> откладывается на час.');
} elseif($_GET['id'] == 6) {
  $user = mysql_fetch_array(mysql_query('SELECT `id`, `login`, `room` FROM `users` WHERE `id` = "'.(int)$_GET['user'].'" LIMIT 1'));
  if(isset($user['id'])) {
    addch('<font color=red>Внимание!</font> Ваш бой не может начаться по причине <b>Группа не набрана</b>', $user['login'], User::getInstance()->getRoom());
  }
} elseif($_GET['id'] == 7) {
  $user = mysql_fetch_array(mysql_query('SELECT `id`, `login`, `room` FROM `users` WHERE `id` = "'.(int)$_GET['user'].'" LIMIT 1'));
  if(isset($user['id'])) {
    addch('<font color=red>Внимание!</font> Ваш бой начался.', $user['login'], User::getInstance()->getRoom());
  }
} else {
  exit;
}